<?php
/**
 * 保存菜单数据
 * @author 绛木子 <master@lixianhua.com>
 */
class TeMenu_Action extends Typecho_Widget implements Widget_Interface_Do{

    public function action(){
		$this->widget('Widget_User')->pass('administrator');

		$slug = $this->request->get('slug');
		$title = $this->request->get('title',$slug);
		$op = $this->request->get('op','save');
		if(empty($slug)){
			$this->response->throwJson(array('msg'=>'菜单标识不能为空'));
		}
		
		$data = array(
			'menu' => $this->request->getArray('menu'),
			'title' => $title
		);
		
		$options = $this->widget('Widget_Options');
		$navigation = json_decode($options->plugin('TeMenu')->navigation, true);

		if(!$navigation){
			$navigation = array();
		}
		$rs = array();
		if('del' === $op && isset($navigation[$slug])){
			unset($navigation[$slug]);
			$rs['msg'] = _t('菜单 %s 已删除',$title);
			$rs['url'] = Typecho_Common::url('extending.php?panel=TeMenu%2Fpanel.php', $options->adminUrl);
		}else{
			if(!isset($navigation[$slug]) || (isset($navigation[$slug]) && $navigation[$slug]['title'] != $title)){
				$rs['url'] = Typecho_Common::url('extending.php?panel=TeMenu%2Fpanel.php&slug='.$slug, $options->adminUrl);
			}
			$navigation[$slug] = $data;
		}
		Helper::configPlugin('TeMenu',array('navigation'=>json_encode($navigation)));
		
		$this->response->throwJson($rs);
    }
}